summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xbin/extra/aivpn18
-rw-r--r--config/essentials/shell/aliases.sh1
-rw-r--r--config/essentials/shell/functions.sh11
-rw-r--r--config/essentials/starship.toml4
-rw-r--r--config/essentials/zsh/.zshrc7
5 files changed, 30 insertions, 11 deletions
diff --git a/bin/extra/aivpn b/bin/extra/aivpn
index 6fa0783..21436ed 100755
--- a/bin/extra/aivpn
+++ b/bin/extra/aivpn
@@ -1,6 +1,6 @@
#!/bin/sh
-logn() { printf "%s\n" "$@"; }
+err() { printf "%s\n" "$@"; }
if [ "$1" = "-k" ]
then
@@ -8,23 +8,25 @@ then
exit
fi
-keyadd ehb/ai
+err "I: Waiting for connectivity..."
+while ! ssh -o ConnectTimeout=1 -o BatchMode=yes vm 2>&1 | grep "Permission denied" > /dev/null
+do sleep 1
+done
+
export SSH_ASKPASS="sshpass"
export SSH_ASKPASS_REQUIRE="prefer"
export PASSWORD="zot/qemu"
-logn "I: Waiting for connectivity..."
-while ! ssh -o ConnectTimeout=1 -o BatchMode=yes vm 2>&1 | grep "Permission denied" > /dev/null
-do sleep 1
-done
-
-logn "I: Activating vpn"
+err "I: Activating vpn"
ssh vm "rasdial \"vpn.student.ehb.be\""
+
+keyadd ehb/ai
ssh -f -N \
-L 2222:10.2.160.41:22 \
vm
+keyadd ehb/vm_int
ssh -f -N \
-L 2223:10.2.160.9:22 \
vm
diff --git a/config/essentials/shell/aliases.sh b/config/essentials/shell/aliases.sh
index d5f3e7f..6305a90 100644
--- a/config/essentials/shell/aliases.sh
+++ b/config/essentials/shell/aliases.sh
@@ -333,3 +333,4 @@ alias update-mirrors='reflector -p https | rankmirrors -n 10 -p -w - | doas tee
alias tmpd='cd $(mktemp -d)'
alias brs='$BROWSER'
+
diff --git a/config/essentials/shell/functions.sh b/config/essentials/shell/functions.sh
index 8172c73..1fd6e92 100644
--- a/config/essentials/shell/functions.sh
+++ b/config/essentials/shell/functions.sh
@@ -332,3 +332,14 @@ serve() {
}
ssh_keyadd() { ssh-keygen -f "$HOME"/.ssh/"$1" -P "$(pass generate -f keys/"$HOST"/ssh/"$1" | tail -n 1)" -t ed25519; }
+
+
+fchange()
+{
+ [ "$1" ] || return 1
+ inotifywait -m -e create,modify,delete --format "%f" "${2:-.}" |
+ while read -r EVENT
+ do
+ eval "$1"
+ done
+}
diff --git a/config/essentials/starship.toml b/config/essentials/starship.toml
index cd5832f..15139f5 100644
--- a/config/essentials/starship.toml
+++ b/config/essentials/starship.toml
@@ -34,8 +34,6 @@ disabled = false
[custom.upds]
command = 'cat ~/.cache/updates' # shows output of command
-# detect_files = ['foo'] # can specify filters but wildcards are not supported
-when = ''' test "$(cat ~/.cache/updates)" -gt 0'''
+when = '[ "$(cat ~/.cache/updates)" -gt 0 ]'
symbol = '📦'
format = '$output$symbol '
-
diff --git a/config/essentials/zsh/.zshrc b/config/essentials/zsh/.zshrc
index c9bf8b1..ab66fcb 100644
--- a/config/essentials/zsh/.zshrc
+++ b/config/essentials/zsh/.zshrc
@@ -110,6 +110,13 @@ bindkey -M menuselect '^xh' accept-and-hold # Hold
bindkey -M menuselect '^xn' accept-and-infer-next-history # Next
bindkey -M menuselect '^xu' undo # Undo
+space-expand-alias() {
+ zle _expand_alias
+ zle self-insert
+}
+zle -N space-expand-alias
+bindkey -M main ' ' space-expand-alias
+
## window title hooks
add-zsh-hook -Uz preexec () { print -n "\e]0;$1\a\033[0m"; }
add-zsh-hook -Uz precmd set_wt (){ print -Pn "\e]0;%n@%m on %~\a"; }